org.apache.pdfbox.pdmodel.graphics.shading

## Class PDShadingType1

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.shading.PDShading
  - - org.apache.pdfbox.pdmodel.graphics.shading.PDShadingType1

All Implemented Interfaces:
  COSObjectable

    public class PDShadingType1
    extends PDShading

Resources for a function based shading.

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.graphics.shading.PDShading

`SHADING_TYPE1, SHADING_TYPE2, SHADING_TYPE3, SHADING_TYPE4, SHADING_TYPE5, SHADING_TYPE6, SHADING_TYPE7`

### Constructor Summary

Constructors
Constructor and Description
`PDShadingType1(COSDictionary shadingDictionary)` Constructor using the given shading dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSArray` `getDomain()` This will get the optional Domain values of a function based shading.
`Matrix` `getMatrix()` This will get the optional Matrix of a function based shading.
`int` `getShadingType()` This will return the shading type.
`void` `setDomain(COSArray newDomain)` Sets the optional Domain entry for the function based shading.
`void` `setMatrix(AffineTransform transform)` Sets the optional Matrix entry for the function based shading.
`Paint` `toPaint(Matrix matrix)` Returns an AWT paint which corresponds to this shading

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.shading.PDShading

`create, evalFunction, evalFunction, getAntiAlias, getBackground, getBBox, getBounds, getColorSpace, getCOSObject, getFunction, getType, setAntiAlias, setBackground, setBBox, setColorSpace, setFunction, setFunction, setShadingType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDShadingType1

    public PDShadingType1(COSDictionary shadingDictionary)

Constructor using the given shading dictionary.

Parameters:
  `shadingDictionary` - the dictionary for this shading

### Method Detail

#### getShadingType

    public int getShadingType()

Description copied from class: `PDShading`
This will return the shading type.

Specified by:
  `getShadingType` in class `PDShading`
Returns:
  the shading typ

#### getMatrix

    public Matrix getMatrix()

This will get the optional Matrix of a function based shading.

Returns:
  the matrix

#### setMatrix

    public void setMatrix(AffineTransform transform)

Sets the optional Matrix entry for the function based shading.

Parameters:
  `transform` - the transformation matrix

#### getDomain

    public COSArray getDomain()

This will get the optional Domain values of a function based shading.

Returns:
  the domain values

#### setDomain

    public void setDomain(COSArray newDomain)

Sets the optional Domain entry for the function based shading.

Parameters:
  `newDomain` - the domain array

#### toPaint

    public Paint toPaint(Matrix matrix)

Description copied from class: `PDShading`
Returns an AWT paint which corresponds to this shading

Specified by:
  `toPaint` in class `PDShading`
Parameters:
  `matrix` - the pattern matrix concatenated with that of the parent content stream, this matrix which maps the pattern's internal coordinate system to user space
Returns:
  an AWT Paint instance